commit:     a114d7cd8ea451b83f111a86fc4a648985bdb01d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 11 11:18:15 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Dec 11 11:53:14 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a114d7cd

Move {sys-libs → llvm-runtimes}/compiler-rt-sanitizers

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-forensics/aflplusplus/aflplusplus-4.21c.ebuild         |  4 ++--
 app-forensics/aflplusplus/aflplusplus-4.30c.ebuild         |  4 ++--
 .../compiler-rt-sanitizers/Manifest                        |  0
 .../compiler-rt-sanitizers-15.0.7-r1.ebuild                |  0
 .../compiler-rt-sanitizers-16.0.6-r1.ebuild                |  0
 .../compiler-rt-sanitizers-17.0.6-r1.ebuild                |  0
 .../compiler-rt-sanitizers-18.1.8-r1.ebuild                |  0
 .../compiler-rt-sanitizers-18.1.8-r6.ebuild                |  0
 .../compiler-rt-sanitizers-19.1.4.ebuild                   |  0
 .../compiler-rt-sanitizers-19.1.5.ebuild                   |  0
 .../compiler-rt-sanitizers-20.0.0.9999.ebuild              |  0
 .../compiler-rt-sanitizers-20.0.0_pre20241207.ebuild       |  0
 .../compiler-rt-sanitizers/metadata.xml                    |  0
 mail-client/thunderbird/thunderbird-128.5.0.ebuild         |  6 +++---
 mail-client/thunderbird/thunderbird-128.5.1.ebuild         |  6 +++---
 media-gfx/libredwg/libredwg-0.13.2.ebuild                  |  2 +-
 media-gfx/libredwg/libredwg-0.13.3.ebuild                  |  2 +-
 media-gfx/libredwg/libredwg-0.13.ebuild                    |  2 +-
 metadata/stabilization-groups/llvm.group                   |  2 +-
 net-analyzer/gvm-libs/gvm-libs-22.11.0.ebuild              |  6 +++---
 net-analyzer/gvm-libs/gvm-libs-22.15.0.ebuild              |  6 +++---
 profiles/arch/amd64/package.use.mask                       | 10 +++++-----
 profiles/arch/arm/package.use.mask                         |  8 ++++----
 profiles/arch/arm64/package.use.mask                       | 10 +++++-----
 profiles/arch/base/package.use.mask                        | 10 +++++-----
 profiles/arch/loong/package.use.mask                       | 14 +++++++-------
 profiles/arch/mips/mips64/package.use.mask                 |  2 +-
 profiles/arch/mips/package.use.mask                        |  2 +-
 profiles/arch/powerpc/ppc32/package.mask                   |  2 +-
 profiles/arch/powerpc/ppc64/64le/package.use.mask          |  2 +-
 profiles/arch/powerpc/ppc64/package.use.mask               |  8 ++++----
 profiles/arch/riscv/package.use.mask                       |  6 +++---
 profiles/arch/x86/package.use.mask                         | 10 +++++-----
 .../default/linux/arm/23.0/musl/package.use.stable.mask    |  2 +-
 profiles/default/linux/ppc/23.0/musl/package.use.mask      |  2 +-
 profiles/default/linux/x86/23.0/i486/musl/package.use.mask |  2 +-
 profiles/default/linux/x86/23.0/i686/musl/package.use.mask |  2 +-
 profiles/features/llvm/package.use                         |  2 +-
 profiles/features/musl/package.use.mask                    |  2 +-
 profiles/features/musl/package.use.stable.mask             |  2 +-
 profiles/updates/4Q-2024                                   |  1 +
 sys-devel/clang-runtime/clang-runtime-15.0.7.ebuild        |  2 +-
 sys-devel/clang-runtime/clang-runtime-16.0.6.ebuild        |  2 +-
 sys-devel/clang-runtime/clang-runtime-17.0.6.ebuild        |  2 +-
 sys-devel/clang-runtime/clang-runtime-18.1.8.ebuild        |  2 +-
 sys-devel/clang-runtime/clang-runtime-19.1.4.ebuild        |  2 +-
 sys-devel/clang-runtime/clang-runtime-19.1.5.ebuild        |  2 +-
 sys-devel/clang-runtime/clang-runtime-20.0.0.9999.ebuild   |  2 +-
 .../clang-runtime/clang-runtime-20.0.0_pre20241207.ebuild  |  2 +-
 www-client/firefox/firefox-128.5.0.ebuild                  |  6 +++---
 www-client/firefox/firefox-128.5.1.ebuild                  |  6 +++---
 www-client/firefox/firefox-133.0.ebuild                    |  6 +++---
 52 files changed, 87 insertions(+), 86 deletions(-)

diff --git a/app-forensics/aflplusplus/aflplusplus-4.21c.ebuild 
b/app-forensics/aflplusplus/aflplusplus-4.21c.ebuild
index 485eea325dfc..b9d7c3828eb7 100644
--- a/app-forensics/aflplusplus/aflplusplus-4.21c.ebuild
+++ b/app-forensics/aflplusplus/aflplusplus-4.21c.ebuild
@@ -89,6 +89,6 @@ src_install() {
 
 pkg_postinst() {
        # TODO: Any others?
-       optfeature "fuzzing with AFL_USE_ASAN" 
sys-libs/compiler-rt-sanitizers[asan]
-       optfeature "fuzzing with AFL_USE_MSAN" 
sys-libs/compiler-rt-sanitizers[msan]
+       optfeature "fuzzing with AFL_USE_ASAN" 
llvm-runtimes/compiler-rt-sanitizers[asan]
+       optfeature "fuzzing with AFL_USE_MSAN" 
llvm-runtimes/compiler-rt-sanitizers[msan]
 }

diff --git a/app-forensics/aflplusplus/aflplusplus-4.30c.ebuild 
b/app-forensics/aflplusplus/aflplusplus-4.30c.ebuild
index a5990707e905..a53f138b9edc 100644
--- a/app-forensics/aflplusplus/aflplusplus-4.30c.ebuild
+++ b/app-forensics/aflplusplus/aflplusplus-4.30c.ebuild
@@ -92,6 +92,6 @@ src_install() {
 
 pkg_postinst() {
        # TODO: Any others?
-       optfeature "fuzzing with AFL_USE_ASAN" 
sys-libs/compiler-rt-sanitizers[asan]
-       optfeature "fuzzing with AFL_USE_MSAN" 
sys-libs/compiler-rt-sanitizers[msan]
+       optfeature "fuzzing with AFL_USE_ASAN" 
llvm-runtimes/compiler-rt-sanitizers[asan]
+       optfeature "fuzzing with AFL_USE_MSAN" 
llvm-runtimes/compiler-rt-sanitizers[msan]
 }

diff --git a/sys-libs/compiler-rt-sanitizers/Manifest 
b/llvm-runtimes/compiler-rt-sanitizers/Manifest
similarity index 100%
rename from sys-libs/compiler-rt-sanitizers/Manifest
rename to llvm-runtimes/compiler-rt-sanitizers/Manifest

diff --git 
a/sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-15.0.7-r1.ebuild 
b/llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-15.0.7-r1.ebuild
similarity index 100%
rename from 
sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-15.0.7-r1.ebuild
rename to 
llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-15.0.7-r1.ebuild

diff --git 
a/sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-16.0.6-r1.ebuild 
b/llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-16.0.6-r1.ebuild
similarity index 100%
rename from 
sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-16.0.6-r1.ebuild
rename to 
llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-16.0.6-r1.ebuild

diff --git 
a/sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-17.0.6-r1.ebuild 
b/llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-17.0.6-r1.ebuild
similarity index 100%
rename from 
sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-17.0.6-r1.ebuild
rename to 
llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-17.0.6-r1.ebuild

diff --git 
a/sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-18.1.8-r1.ebuild 
b/llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-18.1.8-r1.ebuild
similarity index 100%
rename from 
sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-18.1.8-r1.ebuild
rename to 
llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-18.1.8-r1.ebuild

diff --git 
a/sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-18.1.8-r6.ebuild 
b/llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-18.1.8-r6.ebuild
similarity index 100%
rename from 
sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-18.1.8-r6.ebuild
rename to 
llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-18.1.8-r6.ebuild

diff --git 
a/sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-19.1.4.ebuild 
b/llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-19.1.4.ebuild
similarity index 100%
rename from sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-19.1.4.ebuild
rename to 
llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-19.1.4.ebuild

diff --git 
a/sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-19.1.5.ebuild 
b/llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-19.1.5.ebuild
similarity index 100%
rename from sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-19.1.5.ebuild
rename to 
llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-19.1.5.ebuild

diff --git 
a/sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-20.0.0.9999.ebuild 
b/llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-20.0.0.9999.ebuild
similarity index 100%
rename from 
sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-20.0.0.9999.ebuild
rename to 
llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-20.0.0.9999.ebuild

diff --git 
a/sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-20.0.0_pre20241207.ebuild
 
b/llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-20.0.0_pre20241207.ebuild
similarity index 100%
rename from 
sys-libs/compiler-rt-sanitizers/compiler-rt-sanitizers-20.0.0_pre20241207.ebuild
rename to 
llvm-runtimes/compiler-rt-sanitizers/compiler-rt-sanitizers-20.0.0_pre20241207.ebuild

diff --git a/sys-libs/compiler-rt-sanitizers/metadata.xml 
b/llvm-runtimes/compiler-rt-sanitizers/metadata.xml
similarity index 100%
rename from sys-libs/compiler-rt-sanitizers/metadata.xml
rename to llvm-runtimes/compiler-rt-sanitizers/metadata.xml

diff --git a/mail-client/thunderbird/thunderbird-128.5.0.ebuild 
b/mail-client/thunderbird/thunderbird-128.5.0.ebuild
index 134c401b3065..95959e978ff3 100644
--- a/mail-client/thunderbird/thunderbird-128.5.0.ebuild
+++ b/mail-client/thunderbird/thunderbird-128.5.0.ebuild
@@ -88,7 +88,7 @@ BDEPEND="${PYTHON_DEPS}
                sys-devel/llvm:${LLVM_SLOT}
                clang? (
                        sys-devel/lld:${LLVM_SLOT}
-                       pgo? ( 
sys-libs/compiler-rt-sanitizers:${LLVM_SLOT}[profile] )
+                       pgo? ( 
llvm-runtimes/compiler-rt-sanitizers:${LLVM_SLOT}[profile] )
                )
        ')
        app-alternatives/awk
@@ -204,8 +204,8 @@ llvm_check_deps() {
        fi
 
        if use pgo ; then
-               if ! has_version -b 
"=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}*[profile]" ; then
-                       einfo 
"=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}*[profile] is missing!" >&2
+               if ! has_version -b 
"=llvm-runtimes/compiler-rt-sanitizers-${LLVM_SLOT}*[profile]" ; then
+                       einfo 
"=llvm-runtimes/compiler-rt-sanitizers-${LLVM_SLOT}*[profile] is missing!" >&2
                        einfo "Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
                        return 1
                fi

diff --git a/mail-client/thunderbird/thunderbird-128.5.1.ebuild 
b/mail-client/thunderbird/thunderbird-128.5.1.ebuild
index eae1a0d31725..da132e02cf41 100644
--- a/mail-client/thunderbird/thunderbird-128.5.1.ebuild
+++ b/mail-client/thunderbird/thunderbird-128.5.1.ebuild
@@ -88,7 +88,7 @@ BDEPEND="${PYTHON_DEPS}
                sys-devel/llvm:${LLVM_SLOT}
                clang? (
                        sys-devel/lld:${LLVM_SLOT}
-                       pgo? ( 
sys-libs/compiler-rt-sanitizers:${LLVM_SLOT}[profile] )
+                       pgo? ( 
llvm-runtimes/compiler-rt-sanitizers:${LLVM_SLOT}[profile] )
                )
        ')
        app-alternatives/awk
@@ -204,8 +204,8 @@ llvm_check_deps() {
        fi
 
        if use pgo ; then
-               if ! has_version -b 
"=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}*[profile]" ; then
-                       einfo 
"=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}*[profile] is missing!" >&2
+               if ! has_version -b 
"=llvm-runtimes/compiler-rt-sanitizers-${LLVM_SLOT}*[profile]" ; then
+                       einfo 
"=llvm-runtimes/compiler-rt-sanitizers-${LLVM_SLOT}*[profile] is missing!" >&2
                        einfo "Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
                        return 1
                fi

diff --git a/media-gfx/libredwg/libredwg-0.13.2.ebuild 
b/media-gfx/libredwg/libredwg-0.13.2.ebuild
index 57215dfb3169..33c41174dd0d 100644
--- a/media-gfx/libredwg/libredwg-0.13.2.ebuild
+++ b/media-gfx/libredwg/libredwg-0.13.2.ebuild
@@ -41,7 +41,7 @@ DEPEND="${RDEPEND}
 "
 BDEPEND="|| (
        sys-devel/gcc[sanitize]
-       sys-libs/compiler-rt-sanitizers[asan(-)]
+       llvm-runtimes/compiler-rt-sanitizers[asan(-)]
        )
        dev-vcs/git
 "

diff --git a/media-gfx/libredwg/libredwg-0.13.3.ebuild 
b/media-gfx/libredwg/libredwg-0.13.3.ebuild
index d29a75a7f99d..a1827a8c7b45 100644
--- a/media-gfx/libredwg/libredwg-0.13.3.ebuild
+++ b/media-gfx/libredwg/libredwg-0.13.3.ebuild
@@ -41,7 +41,7 @@ DEPEND="${RDEPEND}
 "
 BDEPEND="|| (
        sys-devel/gcc[sanitize]
-       sys-libs/compiler-rt-sanitizers[asan(-)]
+       llvm-runtimes/compiler-rt-sanitizers[asan(-)]
        )
        dev-vcs/git
 "

diff --git a/media-gfx/libredwg/libredwg-0.13.ebuild 
b/media-gfx/libredwg/libredwg-0.13.ebuild
index 57215dfb3169..33c41174dd0d 100644
--- a/media-gfx/libredwg/libredwg-0.13.ebuild
+++ b/media-gfx/libredwg/libredwg-0.13.ebuild
@@ -41,7 +41,7 @@ DEPEND="${RDEPEND}
 "
 BDEPEND="|| (
        sys-devel/gcc[sanitize]
-       sys-libs/compiler-rt-sanitizers[asan(-)]
+       llvm-runtimes/compiler-rt-sanitizers[asan(-)]
        )
        dev-vcs/git
 "

diff --git a/metadata/stabilization-groups/llvm.group 
b/metadata/stabilization-groups/llvm.group
index 2738a83cd172..5dc187217503 100644
--- a/metadata/stabilization-groups/llvm.group
+++ b/metadata/stabilization-groups/llvm.group
@@ -3,6 +3,7 @@ dev-ml/llvm-ocaml
 dev-python/clang-python
 dev-python/lit
 llvm-core/libclc
+llvm-runtimes/compiler-rt-sanitizers
 llvm-runtimes/libcxx
 llvm-runtimes/libcxxabi
 llvm-runtimes/libunwind
@@ -19,4 +20,3 @@ sys-devel/llvm-common
 sys-devel/llvm-toolchain-symlinks
 sys-devel/llvmgold
 sys-libs/compiler-rt
-sys-libs/compiler-rt-sanitizers

diff --git a/net-analyzer/gvm-libs/gvm-libs-22.11.0.ebuild 
b/net-analyzer/gvm-libs/gvm-libs-22.11.0.ebuild
index 4a1a8696879f..6f08ac076fc1 100644
--- a/net-analyzer/gvm-libs/gvm-libs-22.11.0.ebuild
+++ b/net-analyzer/gvm-libs/gvm-libs-22.11.0.ebuild
@@ -54,9 +54,9 @@ BDEPEND="
 pkg_setup() {
        if tc-is-clang; then
                local clang_major_version=$(clang-major-version);
-               if ! has_version 
"sys-libs/compiler-rt-sanitizers:${clang_major_version}[profile]"; then
-                       eerror "Compiling this package with clang requires 
sys-libs/compiler-rt-sanitizers to be built with 'profile' USE flag enabled"
-                       die "Clang detected, but 
sys-libs/compiler-rt-sanitizers not build with 'profile' USE flag enabled"
+               if ! has_version 
"llvm-runtimes/compiler-rt-sanitizers:${clang_major_version}[profile]"; then
+                       eerror "Compiling this package with clang requires 
llvm-runtimes/compiler-rt-sanitizers to be built with 'profile' USE flag 
enabled"
+                       die "Clang detected, but 
llvm-runtimes/compiler-rt-sanitizers not build with 'profile' USE flag enabled"
                fi
        fi
 }

diff --git a/net-analyzer/gvm-libs/gvm-libs-22.15.0.ebuild 
b/net-analyzer/gvm-libs/gvm-libs-22.15.0.ebuild
index 6eb7dab05f46..32fb4dbd8411 100644
--- a/net-analyzer/gvm-libs/gvm-libs-22.15.0.ebuild
+++ b/net-analyzer/gvm-libs/gvm-libs-22.15.0.ebuild
@@ -55,9 +55,9 @@ BDEPEND="
 pkg_setup() {
        if tc-is-clang; then
                local clang_major_version=$(clang-major-version);
-               if ! has_version 
"sys-libs/compiler-rt-sanitizers:${clang_major_version}[profile]"; then
-                       eerror "Compiling this package with clang requires 
sys-libs/compiler-rt-sanitizers to be built with 'profile' USE flag enabled"
-                       die "Clang detected, but 
sys-libs/compiler-rt-sanitizers not build with 'profile' USE flag enabled"
+               if ! has_version 
"llvm-runtimes/compiler-rt-sanitizers:${clang_major_version}[profile]"; then
+                       eerror "Compiling this package with clang requires 
llvm-runtimes/compiler-rt-sanitizers to be built with 'profile' USE flag 
enabled"
+                       die "Clang detected, but 
llvm-runtimes/compiler-rt-sanitizers not build with 'profile' USE flag enabled"
                fi
        fi
 }

diff --git a/profiles/arch/amd64/package.use.mask 
b/profiles/arch/amd64/package.use.mask
index bd113ace60ba..b6ea89af3f49 100644
--- a/profiles/arch/amd64/package.use.mask
+++ b/profiles/arch/amd64/package.use.mask
@@ -272,11 +272,11 @@ net-misc/asterisk -blocks
 
 # Michał Górny <mgo...@gentoo.org> (2020-12-21)
 # Sanitizers supported on this architecture.
-sys-libs/compiler-rt-sanitizers -asan -dfsan -lsan -msan -hwasan -tsan
-sys-libs/compiler-rt-sanitizers -ubsan -safestack -cfi -scudo
-sys-libs/compiler-rt-sanitizers -gwp-asan
-sys-libs/compiler-rt-sanitizers -libfuzzer -memprof -orc -profile -xray
-sys-libs/compiler-rt-sanitizers -ctx-profile -nsan -rtsan
+llvm-runtimes/compiler-rt-sanitizers -asan -dfsan -lsan -msan -hwasan -tsan
+llvm-runtimes/compiler-rt-sanitizers -ubsan -safestack -cfi -scudo
+llvm-runtimes/compiler-rt-sanitizers -gwp-asan
+llvm-runtimes/compiler-rt-sanitizers -libfuzzer -memprof -orc -profile -xray
+llvm-runtimes/compiler-rt-sanitizers -ctx-profile -nsan -rtsan
 
 # Sam James <s...@gentoo.org> (2020-10-24)
 # asm redc is only available on amd64,

diff --git a/profiles/arch/arm/package.use.mask 
b/profiles/arch/arm/package.use.mask
index 2f1328c1dff0..7b488ff6a966 100644
--- a/profiles/arch/arm/package.use.mask
+++ b/profiles/arch/arm/package.use.mask
@@ -222,10 +222,10 @@ app-text/enchant voikko
 
 # Michał Górny <mgo...@gentoo.org> (2020-12-21)
 # Sanitizers supported on this architecture.
-sys-libs/compiler-rt-sanitizers -asan -lsan
-sys-libs/compiler-rt-sanitizers -ubsan -cfi -scudo
-sys-libs/compiler-rt-sanitizers -profile -xray
->=sys-libs/compiler-rt-sanitizers-16 -gwp-asan -libfuzzer -orc
+llvm-runtimes/compiler-rt-sanitizers -asan -lsan
+llvm-runtimes/compiler-rt-sanitizers -ubsan -cfi -scudo
+llvm-runtimes/compiler-rt-sanitizers -profile -xray
+>=llvm-runtimes/compiler-rt-sanitizers-16 -gwp-asan -libfuzzer -orc
 
 # Rick Farina <zeroch...@gentoo.org> (2020-12-18)
 # net-wireless/libxtrx et all needs testing

diff --git a/profiles/arch/arm64/package.use.mask 
b/profiles/arch/arm64/package.use.mask
index b23403b308dd..3dea816eccc2 100644
--- a/profiles/arch/arm64/package.use.mask
+++ b/profiles/arch/arm64/package.use.mask
@@ -242,11 +242,11 @@ app-text/enchant voikko
 
 # Michał Górny <mgo...@gentoo.org> (2020-12-21)
 # Sanitizers supported on this architecture.
-sys-libs/compiler-rt-sanitizers -asan -dfsan -lsan -msan -hwasan -tsan
-sys-libs/compiler-rt-sanitizers -ubsan -safestack -cfi -scudo
-sys-libs/compiler-rt-sanitizers -gwp-asan -shadowcallstack
-sys-libs/compiler-rt-sanitizers -libfuzzer -profile -xray -rtsan
->=sys-libs/compiler-rt-sanitizers-16 -orc
+llvm-runtimes/compiler-rt-sanitizers -asan -dfsan -lsan -msan -hwasan -tsan
+llvm-runtimes/compiler-rt-sanitizers -ubsan -safestack -cfi -scudo
+llvm-runtimes/compiler-rt-sanitizers -gwp-asan -shadowcallstack
+llvm-runtimes/compiler-rt-sanitizers -libfuzzer -profile -xray -rtsan
+>=llvm-runtimes/compiler-rt-sanitizers-16 -orc
 
 # Roy Bamford <neddyseag...@gentoo.org> (2020-12-07)
 # media-libs/liblastfm fails to build with tests Bug #758896

diff --git a/profiles/arch/base/package.use.mask 
b/profiles/arch/base/package.use.mask
index c3283bd60a25..a321d57bdf09 100644
--- a/profiles/arch/base/package.use.mask
+++ b/profiles/arch/base/package.use.mask
@@ -263,11 +263,11 @@ net-misc/asterisk blocks
 
 # Michał Górny <mgo...@gentoo.org> (2020-12-21)
 # Mask all sanitizers by default, unmask on arches supporting them.
-sys-libs/compiler-rt-sanitizers asan dfsan lsan msan hwasan tsan
-sys-libs/compiler-rt-sanitizers ubsan safestack cfi scudo
-sys-libs/compiler-rt-sanitizers shadowcallstack gwp-asan
-sys-libs/compiler-rt-sanitizers libfuzzer memprof orc profile xray
-sys-libs/compiler-rt-sanitizers ctx-profile nsan rtsan
+llvm-runtimes/compiler-rt-sanitizers asan dfsan lsan msan hwasan tsan
+llvm-runtimes/compiler-rt-sanitizers ubsan safestack cfi scudo
+llvm-runtimes/compiler-rt-sanitizers shadowcallstack gwp-asan
+llvm-runtimes/compiler-rt-sanitizers libfuzzer memprof orc profile xray
+llvm-runtimes/compiler-rt-sanitizers ctx-profile nsan rtsan
 
 # Sam James <s...@gentoo.org> (2020-10-24)
 # asm redc is only available on amd64,

diff --git a/profiles/arch/loong/package.use.mask 
b/profiles/arch/loong/package.use.mask
index 1e5ffa7fd1be..b9f87b088a70 100644
--- a/profiles/arch/loong/package.use.mask
+++ b/profiles/arch/loong/package.use.mask
@@ -332,13 +332,13 @@ media-plugins/gst-plugins-meta libvisual
 # Profile: https://reviews.llvm.org/D154405 (LLVM 17 since 20230706)
 # XRay: https://reviews.llvm.org/D140727 (LLVM 17 since 20230714)
 # libFuzzer: https://reviews.llvm.org/D140601 (LLVM 17 since 20230718)
->=sys-libs/compiler-rt-sanitizers-15 -asan
->=sys-libs/compiler-rt-sanitizers-16 -lsan -safestack -scudo -tsan -ubsan
->=sys-libs/compiler-rt-sanitizers-17.0.0_pre20230630 -msan
->=sys-libs/compiler-rt-sanitizers-17.0.0_pre20230705 -dfsan
->=sys-libs/compiler-rt-sanitizers-17.0.0_pre20230717 -profile -xray
->sys-libs/compiler-rt-sanitizers-17.0.0_pre20230717 -libfuzzer
->=sys-libs/compiler-rt-sanitizers-19 -cfi
+>=llvm-runtimes/compiler-rt-sanitizers-15 -asan
+>=llvm-runtimes/compiler-rt-sanitizers-16 -lsan -safestack -scudo -tsan -ubsan
+>=llvm-runtimes/compiler-rt-sanitizers-17.0.0_pre20230630 -msan
+>=llvm-runtimes/compiler-rt-sanitizers-17.0.0_pre20230705 -dfsan
+>=llvm-runtimes/compiler-rt-sanitizers-17.0.0_pre20230717 -profile -xray
+>llvm-runtimes/compiler-rt-sanitizers-17.0.0_pre20230717 -libfuzzer
+>=llvm-runtimes/compiler-rt-sanitizers-19 -cfi
 
 # WANG Xuerui <xe...@gentoo.org> (2022-07-08)
 # virtual/{jdk,jre} is not available on loong yet.

diff --git a/profiles/arch/mips/mips64/package.use.mask 
b/profiles/arch/mips/mips64/package.use.mask
index c06ddc3a2aa5..36deda11a73d 100644
--- a/profiles/arch/mips/mips64/package.use.mask
+++ b/profiles/arch/mips/mips64/package.use.mask
@@ -3,4 +3,4 @@
 
 # matoro <matoro_gen...@matoro.tk> (2024-05-01)
 # Sanitizers supported on 64-bit mips only, #779742
-sys-libs/compiler-rt-sanitizers -dfsan -lsan -msan -tsan -cfi
+llvm-runtimes/compiler-rt-sanitizers -dfsan -lsan -msan -tsan -cfi

diff --git a/profiles/arch/mips/package.use.mask 
b/profiles/arch/mips/package.use.mask
index ff5e265339d7..26c1108facfe 100644
--- a/profiles/arch/mips/package.use.mask
+++ b/profiles/arch/mips/package.use.mask
@@ -133,7 +133,7 @@ dev-lang/python jit
 
 # matoro <matoro_gen...@matoro.tk> (2024-05-01)
 # Sanitizers supported on both 32-bit and 64-bit mips, #779742
-sys-libs/compiler-rt-sanitizers -asan -profile -ubsan -safestack -scudo -xray
+llvm-runtimes/compiler-rt-sanitizers -asan -profile -ubsan -safestack -scudo 
-xray
 
 # matoro <matoro_gen...@matoro.tk> (2024-03-21)
 # Test suite is very fragile and doesn't even run on amd64.

diff --git a/profiles/arch/powerpc/ppc32/package.mask 
b/profiles/arch/powerpc/ppc32/package.mask
index 6e13258a705e..fde7dfbbe135 100644
--- a/profiles/arch/powerpc/ppc32/package.mask
+++ b/profiles/arch/powerpc/ppc32/package.mask
@@ -17,4 +17,4 @@ sci-libs/pdal
 # Not ported to ppc32. See ALL_.*_SUPPORTED_ARCH
 # in compiler-rt/cmake/. Bug #708344
 sys-libs/compiler-rt
-sys-libs/compiler-rt-sanitizers
+llvm-runtimes/compiler-rt-sanitizers

diff --git a/profiles/arch/powerpc/ppc64/64le/package.use.mask 
b/profiles/arch/powerpc/ppc64/64le/package.use.mask
index 1d8e9ae06a16..583675b83988 100644
--- a/profiles/arch/powerpc/ppc64/64le/package.use.mask
+++ b/profiles/arch/powerpc/ppc64/64le/package.use.mask
@@ -24,7 +24,7 @@ media-libs/libdvbcsa cpu_flags_ppc_altivec
 
 # Michał Górny <mgo...@gentoo.org> (2020-12-21)
 # Additional sanitizers supported on ppc64le.
-sys-libs/compiler-rt-sanitizers -xray
+llvm-runtimes/compiler-rt-sanitizers -xray
 
 # Georgy Yakovlev <gyakov...@gentoo.org> (2020-10-05)
 # criu is unmasked on little-endian ppc64

diff --git a/profiles/arch/powerpc/ppc64/package.use.mask 
b/profiles/arch/powerpc/ppc64/package.use.mask
index b341f726f6b7..92db0a506148 100644
--- a/profiles/arch/powerpc/ppc64/package.use.mask
+++ b/profiles/arch/powerpc/ppc64/package.use.mask
@@ -104,10 +104,10 @@ dev-util/diffoscope haskell
 
 # Michał Górny <mgo...@gentoo.org> (2020-12-21)
 # Sanitizers supported on this architecture.
-sys-libs/compiler-rt-sanitizers -asan -lsan -msan -tsan
-sys-libs/compiler-rt-sanitizers -ubsan -scudo
-sys-libs/compiler-rt-sanitizers -profile
->=sys-libs/compiler-rt-sanitizers-19 -orc
+llvm-runtimes/compiler-rt-sanitizers -asan -lsan -msan -tsan
+llvm-runtimes/compiler-rt-sanitizers -ubsan -scudo
+llvm-runtimes/compiler-rt-sanitizers -profile
+>=llvm-runtimes/compiler-rt-sanitizers-19 -orc
 
 # Georgy Yakovlev <gyakov...@gentoo.org> (2020-01-25)
 # fwupd keyworded now on ppc64

diff --git a/profiles/arch/riscv/package.use.mask 
b/profiles/arch/riscv/package.use.mask
index 6d27d353fb2b..3ab87cd2b0e4 100644
--- a/profiles/arch/riscv/package.use.mask
+++ b/profiles/arch/riscv/package.use.mask
@@ -97,9 +97,9 @@ sys-block/tgt rbd
 
 # jinqiang zhang <peew...@0x0.ee> (2023-03-27)
 # Sanitizers supported on riscv64.
-sys-libs/compiler-rt-sanitizers -asan -lsan
->=sys-libs/compiler-rt-sanitizers-19 -libfuzzer -hwasan -profile -tsan
->=sys-libs/compiler-rt-sanitizers-19 -ubsan -scudo
+llvm-runtimes/compiler-rt-sanitizers -asan -lsan
+>=llvm-runtimes/compiler-rt-sanitizers-19 -libfuzzer -hwasan -profile -tsan
+>=llvm-runtimes/compiler-rt-sanitizers-19 -ubsan -scudo
 
 # Yixun Lan <d...@gentoo.org> (2023-02-16)
 # USE=java depend on virtual/jdk:1.8 which is not support on RISC-V

diff --git a/profiles/arch/x86/package.use.mask 
b/profiles/arch/x86/package.use.mask
index a6c8ef16e947..ba95f7552963 100644
--- a/profiles/arch/x86/package.use.mask
+++ b/profiles/arch/x86/package.use.mask
@@ -257,11 +257,11 @@ app-text/pdfpc gstreamer
 
 # Michał Górny <mgo...@gentoo.org> (2020-12-21)
 # Sanitizers supported on this architecture.
-sys-libs/compiler-rt-sanitizers -asan -lsan
-sys-libs/compiler-rt-sanitizers -ubsan -safestack -cfi -scudo
-sys-libs/compiler-rt-sanitizers -gwp-asan
-sys-libs/compiler-rt-sanitizers -profile
->=sys-libs/compiler-rt-sanitizers-16 -libfuzzer
+llvm-runtimes/compiler-rt-sanitizers -asan -lsan
+llvm-runtimes/compiler-rt-sanitizers -ubsan -safestack -cfi -scudo
+llvm-runtimes/compiler-rt-sanitizers -gwp-asan
+llvm-runtimes/compiler-rt-sanitizers -profile
+>=llvm-runtimes/compiler-rt-sanitizers-16 -libfuzzer
 
 # Thomas Deutschmann <whi...@gentoo.org> (2020-10-06)
 # - aesni plugin is supported on x86

diff --git a/profiles/default/linux/arm/23.0/musl/package.use.stable.mask 
b/profiles/default/linux/arm/23.0/musl/package.use.stable.mask
index 785b52ceb864..c73d6e72f132 100644
--- a/profiles/default/linux/arm/23.0/musl/package.use.stable.mask
+++ b/profiles/default/linux/arm/23.0/musl/package.use.stable.mask
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License, v2
 
 # Sam James <s...@gentoo.org> (2024-06-16)
-# Avoid pulling in sys-libs/compiler-rt-sanitizers which fails to build
+# Avoid pulling in llvm-runtimes/compiler-rt-sanitizers which fails to build
 # See bug #928936.
 sys-devel/clang-runtime sanitize
 

diff --git a/profiles/default/linux/ppc/23.0/musl/package.use.mask 
b/profiles/default/linux/ppc/23.0/musl/package.use.mask
index c7d54156ade0..8c163b3352bd 100644
--- a/profiles/default/linux/ppc/23.0/musl/package.use.mask
+++ b/profiles/default/linux/ppc/23.0/musl/package.use.mask
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 # Sam James <s...@gentoo.org> (2024-06-16)
-# Avoid pulling in sys-libs/compiler-rt-sanitizers which fails to build
+# Avoid pulling in llvm-runtimes/compiler-rt-sanitizers which fails to build
 # See bug #928936.
 sys-devel/clang-runtime sanitize
 

diff --git a/profiles/default/linux/x86/23.0/i486/musl/package.use.mask 
b/profiles/default/linux/x86/23.0/i486/musl/package.use.mask
index 0f0f54b0e2d2..c5564de612f2 100644
--- a/profiles/default/linux/x86/23.0/i486/musl/package.use.mask
+++ b/profiles/default/linux/x86/23.0/i486/musl/package.use.mask
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License, v2
 
 # Sam James <s...@gentoo.org> (2024-06-16)
-# Avoid pulling in sys-libs/compiler-rt-sanitizers which fails to build
+# Avoid pulling in llvm-runtimes/compiler-rt-sanitizers which fails to build
 # See bug #928936.
 sys-devel/clang-runtime sanitize
 

diff --git a/profiles/default/linux/x86/23.0/i686/musl/package.use.mask 
b/profiles/default/linux/x86/23.0/i686/musl/package.use.mask
index 0f0f54b0e2d2..c5564de612f2 100644
--- a/profiles/default/linux/x86/23.0/i686/musl/package.use.mask
+++ b/profiles/default/linux/x86/23.0/i686/musl/package.use.mask
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License, v2
 
 # Sam James <s...@gentoo.org> (2024-06-16)
-# Avoid pulling in sys-libs/compiler-rt-sanitizers which fails to build
+# Avoid pulling in llvm-runtimes/compiler-rt-sanitizers which fails to build
 # See bug #928936.
 sys-devel/clang-runtime sanitize
 

diff --git a/profiles/features/llvm/package.use 
b/profiles/features/llvm/package.use
index db7b36b60cc2..75ffb5c6eb13 100644
--- a/profiles/features/llvm/package.use
+++ b/profiles/features/llvm/package.use
@@ -9,6 +9,6 @@ sys-libs/compiler-rt clang
 
 # disable sanitizers for now
 sys-devel/clang-runtime compiler-rt libcxx -sanitize
-# sys-libs/compiler-rt-sanitizers clang
+# llvm-runtimes/compiler-rt-sanitizers clang
 
 llvm-runtimes/libcxx libcxxabi

diff --git a/profiles/features/musl/package.use.mask 
b/profiles/features/musl/package.use.mask
index f2062b6fdac6..69f5b142554b 100644
--- a/profiles/features/musl/package.use.mask
+++ b/profiles/features/musl/package.use.mask
@@ -209,7 +209,7 @@ sys-apps/util-linux nls
 # Sam James <s...@gentoo.org> (2021-11-07)
 # Disable some sanitizers for LLVM, see bug #753935
 # Needs libexecinfo on musl, not yet packaged
-sys-libs/compiler-rt-sanitizers gwp-asan
+llvm-runtimes/compiler-rt-sanitizers gwp-asan
 
 # Sergei Trofimovich <sly...@gentoo.org> (2020-03-19)
 # check does not work on musl, bug #713138

diff --git a/profiles/features/musl/package.use.stable.mask 
b/profiles/features/musl/package.use.stable.mask
index a903356e7e0b..1d29384ead55 100644
--- a/profiles/features/musl/package.use.stable.mask
+++ b/profiles/features/musl/package.use.stable.mask
@@ -3,7 +3,7 @@
 
 # Andreas K. Hüttel <dilfri...@gentoo.org> (2024-03-07)
 # This doesn't work yet with musl-1.2.4, bug 906603
-sys-libs/compiler-rt-sanitizers msan
+llvm-runtimes/compiler-rt-sanitizers msan
 
 # Sam James <s...@gentoo.org> (2022-10-04)
 # libxcrypt migration isn't yet stable on musl.

diff --git a/profiles/updates/4Q-2024 b/profiles/updates/4Q-2024
index b6d32f744d0d..b25e403e750b 100644
--- a/profiles/updates/4Q-2024
+++ b/profiles/updates/4Q-2024
@@ -67,3 +67,4 @@ move sys-libs/llvm-libunwind llvm-runtimes/libunwind
 move sys-libs/libomp llvm-runtimes/openmp
 move sys-libs/libcxxabi llvm-runtimes/libcxxabi
 move sys-libs/libcxx llvm-runtimes/libcxx
+move sys-libs/compiler-rt-sanitizers llvm-runtimes/compiler-rt-sanitizers

diff --git a/sys-devel/clang-runtime/clang-runtime-15.0.7.ebuild 
b/sys-devel/clang-runtime/clang-runtime-15.0.7.ebuild
index 48df40caecd9..2a8771bead3c 100644
--- a/sys-devel/clang-runtime/clang-runtime-15.0.7.ebuild
+++ b/sys-devel/clang-runtime/clang-runtime-15.0.7.ebuild
@@ -18,7 +18,7 @@ RDEPEND="
        compiler-rt? (
                
~sys-libs/compiler-rt-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
                sanitize? (
-                       
~sys-libs/compiler-rt-sanitizers-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
+                       
~llvm-runtimes/compiler-rt-sanitizers-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
                )
        )
        libcxx? ( >=llvm-runtimes/libcxx-${PV}[${MULTILIB_USEDEP}] )

diff --git a/sys-devel/clang-runtime/clang-runtime-16.0.6.ebuild 
b/sys-devel/clang-runtime/clang-runtime-16.0.6.ebuild
index 1b7669fda077..872a4663e9ec 100644
--- a/sys-devel/clang-runtime/clang-runtime-16.0.6.ebuild
+++ b/sys-devel/clang-runtime/clang-runtime-16.0.6.ebuild
@@ -18,7 +18,7 @@ RDEPEND="
        compiler-rt? (
                
~sys-libs/compiler-rt-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
                sanitize? (
-                       
~sys-libs/compiler-rt-sanitizers-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
+                       
~llvm-runtimes/compiler-rt-sanitizers-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
                )
        )
        libcxx? ( >=llvm-runtimes/libcxx-${PV}[${MULTILIB_USEDEP}] )

diff --git a/sys-devel/clang-runtime/clang-runtime-17.0.6.ebuild 
b/sys-devel/clang-runtime/clang-runtime-17.0.6.ebuild
index 1b7669fda077..872a4663e9ec 100644
--- a/sys-devel/clang-runtime/clang-runtime-17.0.6.ebuild
+++ b/sys-devel/clang-runtime/clang-runtime-17.0.6.ebuild
@@ -18,7 +18,7 @@ RDEPEND="
        compiler-rt? (
                
~sys-libs/compiler-rt-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
                sanitize? (
-                       
~sys-libs/compiler-rt-sanitizers-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
+                       
~llvm-runtimes/compiler-rt-sanitizers-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
                )
        )
        libcxx? ( >=llvm-runtimes/libcxx-${PV}[${MULTILIB_USEDEP}] )

diff --git a/sys-devel/clang-runtime/clang-runtime-18.1.8.ebuild 
b/sys-devel/clang-runtime/clang-runtime-18.1.8.ebuild
index c10d8fdc02c6..55a01c39ef52 100644
--- a/sys-devel/clang-runtime/clang-runtime-18.1.8.ebuild
+++ b/sys-devel/clang-runtime/clang-runtime-18.1.8.ebuild
@@ -18,7 +18,7 @@ RDEPEND="
        compiler-rt? (
                
~sys-libs/compiler-rt-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
                sanitize? (
-                       
~sys-libs/compiler-rt-sanitizers-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
+                       
~llvm-runtimes/compiler-rt-sanitizers-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
                )
        )
        libcxx? ( >=llvm-runtimes/libcxx-${PV}[${MULTILIB_USEDEP}] )

diff --git a/sys-devel/clang-runtime/clang-runtime-19.1.4.ebuild 
b/sys-devel/clang-runtime/clang-runtime-19.1.4.ebuild
index c10d8fdc02c6..55a01c39ef52 100644
--- a/sys-devel/clang-runtime/clang-runtime-19.1.4.ebuild
+++ b/sys-devel/clang-runtime/clang-runtime-19.1.4.ebuild
@@ -18,7 +18,7 @@ RDEPEND="
        compiler-rt? (
                
~sys-libs/compiler-rt-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
                sanitize? (
-                       
~sys-libs/compiler-rt-sanitizers-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
+                       
~llvm-runtimes/compiler-rt-sanitizers-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
                )
        )
        libcxx? ( >=llvm-runtimes/libcxx-${PV}[${MULTILIB_USEDEP}] )

diff --git a/sys-devel/clang-runtime/clang-runtime-19.1.5.ebuild 
b/sys-devel/clang-runtime/clang-runtime-19.1.5.ebuild
index 8fc82482b153..7b3439fd5387 100644
--- a/sys-devel/clang-runtime/clang-runtime-19.1.5.ebuild
+++ b/sys-devel/clang-runtime/clang-runtime-19.1.5.ebuild
@@ -18,7 +18,7 @@ RDEPEND="
        compiler-rt? (
                
~sys-libs/compiler-rt-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
                sanitize? (
-                       
~sys-libs/compiler-rt-sanitizers-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
+                       
~llvm-runtimes/compiler-rt-sanitizers-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
                )
        )
        libcxx? ( >=llvm-runtimes/libcxx-${PV}[${MULTILIB_USEDEP}] )

diff --git a/sys-devel/clang-runtime/clang-runtime-20.0.0.9999.ebuild 
b/sys-devel/clang-runtime/clang-runtime-20.0.0.9999.ebuild
index 0b80525972dd..13e85c018978 100644
--- a/sys-devel/clang-runtime/clang-runtime-20.0.0.9999.ebuild
+++ b/sys-devel/clang-runtime/clang-runtime-20.0.0.9999.ebuild
@@ -17,7 +17,7 @@ RDEPEND="
        compiler-rt? (
                
~sys-libs/compiler-rt-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
                sanitize? (
-                       
~sys-libs/compiler-rt-sanitizers-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
+                       
~llvm-runtimes/compiler-rt-sanitizers-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
                )
        )
        libcxx? ( >=llvm-runtimes/libcxx-${PV}[${MULTILIB_USEDEP}] )

diff --git a/sys-devel/clang-runtime/clang-runtime-20.0.0_pre20241207.ebuild 
b/sys-devel/clang-runtime/clang-runtime-20.0.0_pre20241207.ebuild
index 0b80525972dd..13e85c018978 100644
--- a/sys-devel/clang-runtime/clang-runtime-20.0.0_pre20241207.ebuild
+++ b/sys-devel/clang-runtime/clang-runtime-20.0.0_pre20241207.ebuild
@@ -17,7 +17,7 @@ RDEPEND="
        compiler-rt? (
                
~sys-libs/compiler-rt-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
                sanitize? (
-                       
~sys-libs/compiler-rt-sanitizers-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
+                       
~llvm-runtimes/compiler-rt-sanitizers-${PV}:${SLOT}[abi_x86_32(+)?,abi_x86_64(+)?]
                )
        )
        libcxx? ( >=llvm-runtimes/libcxx-${PV}[${MULTILIB_USEDEP}] )

diff --git a/www-client/firefox/firefox-128.5.0.ebuild 
b/www-client/firefox/firefox-128.5.0.ebuild
index 497f5a20e4f7..bfa527287093 100644
--- a/www-client/firefox/firefox-128.5.0.ebuild
+++ b/www-client/firefox/firefox-128.5.0.ebuild
@@ -96,7 +96,7 @@ BDEPEND="${PYTHON_DEPS}
                sys-devel/llvm:${LLVM_SLOT}
                clang? (
                        sys-devel/lld:${LLVM_SLOT}
-                       pgo? ( 
sys-libs/compiler-rt-sanitizers:${LLVM_SLOT}[profile] )
+                       pgo? ( 
llvm-runtimes/compiler-rt-sanitizers:${LLVM_SLOT}[profile] )
                )
                wasm? ( sys-devel/lld:${LLVM_SLOT} )
        ')
@@ -233,8 +233,8 @@ llvm_check_deps() {
        fi
 
        if use pgo ; then
-               if ! has_version -b 
"=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}*[profile]" ; then
-                       einfo 
"=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}*[profile] is missing!" >&2
+               if ! has_version -b 
"=llvm-runtimes/compiler-rt-sanitizers-${LLVM_SLOT}*[profile]" ; then
+                       einfo 
"=llvm-runtimes/compiler-rt-sanitizers-${LLVM_SLOT}*[profile] is missing!" >&2
                        einfo "Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
                        return 1
                fi

diff --git a/www-client/firefox/firefox-128.5.1.ebuild 
b/www-client/firefox/firefox-128.5.1.ebuild
index c2f3c8c3463e..b2e808d0894a 100644
--- a/www-client/firefox/firefox-128.5.1.ebuild
+++ b/www-client/firefox/firefox-128.5.1.ebuild
@@ -96,7 +96,7 @@ BDEPEND="${PYTHON_DEPS}
                sys-devel/llvm:${LLVM_SLOT}
                clang? (
                        sys-devel/lld:${LLVM_SLOT}
-                       pgo? ( 
sys-libs/compiler-rt-sanitizers:${LLVM_SLOT}[profile] )
+                       pgo? ( 
llvm-runtimes/compiler-rt-sanitizers:${LLVM_SLOT}[profile] )
                )
                wasm? ( sys-devel/lld:${LLVM_SLOT} )
        ')
@@ -233,8 +233,8 @@ llvm_check_deps() {
        fi
 
        if use pgo ; then
-               if ! has_version -b 
"=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}*[profile]" ; then
-                       einfo 
"=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}*[profile] is missing!" >&2
+               if ! has_version -b 
"=llvm-runtimes/compiler-rt-sanitizers-${LLVM_SLOT}*[profile]" ; then
+                       einfo 
"=llvm-runtimes/compiler-rt-sanitizers-${LLVM_SLOT}*[profile] is missing!" >&2
                        einfo "Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
                        return 1
                fi

diff --git a/www-client/firefox/firefox-133.0.ebuild 
b/www-client/firefox/firefox-133.0.ebuild
index 528b17e744fa..33f43c19be0b 100644
--- a/www-client/firefox/firefox-133.0.ebuild
+++ b/www-client/firefox/firefox-133.0.ebuild
@@ -99,7 +99,7 @@ BDEPEND="${PYTHON_DEPS}
                sys-devel/llvm:${LLVM_SLOT}
                clang? (
                        sys-devel/lld:${LLVM_SLOT}
-                       pgo? ( 
sys-libs/compiler-rt-sanitizers:${LLVM_SLOT}[profile] )
+                       pgo? ( 
llvm-runtimes/compiler-rt-sanitizers:${LLVM_SLOT}[profile] )
                )
                wasm? ( sys-devel/lld:${LLVM_SLOT} )
        ')
@@ -237,8 +237,8 @@ llvm_check_deps() {
        fi
 
        if use pgo ; then
-               if ! has_version -b 
"=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}*[profile]" ; then
-                       einfo 
"=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}*[profile] is missing!" >&2
+               if ! has_version -b 
"=llvm-runtimes/compiler-rt-sanitizers-${LLVM_SLOT}*[profile]" ; then
+                       einfo 
"=llvm-runtimes/compiler-rt-sanitizers-${LLVM_SLOT}*[profile] is missing!" >&2
                        einfo "Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
                        return 1
                fi

Reply via email to